StepType (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode.startupprogress, enum: StepType

Package org.apache.hadoop.hdfs.server.namenode.startupprogress

# Enum Class StepType

java.lang.Object
java.lang.Enum<StepType>
org.apache.hadoop.hdfs.server.namenode.startupprogress.StepType

All Implemented Interfaces:
  `Serializable`, `Comparable<StepType>`, `Constable`

@Private public enum StepType extends Enum<StepType>
Indicates a particular type of `Step`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AWAITING_REPORTED_BLOCKS`
  The namenode has entered safemode and is awaiting block reports from datanodes.
  `CACHE_ENTRIES`
  The namenode is performing an operation related to cache entries.
  `CACHE_POOLS`
  The namenode is performing an operation related to cache pools.
  `DELEGATION_KEYS`
  The namenode is performing an operation related to delegation keys.
  `DELEGATION_TOKENS`
  The namenode is performing an operation related to delegation tokens.
  `ERASURE_CODING_POLICIES`
  The namenode is performing an operation related to erasure coding policies.
  `INODES`
  The namenode is performing an operation related to inodes.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  Returns step type description.
  `String`
  `getName()`
  Returns step type name.
  `static StepType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static StepType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AWAITING_REPORTED_BLOCKS

    public static final StepType AWAITING_REPORTED_BLOCKS
    The namenode has entered safemode and is awaiting block reports from datanodes.

  - ### DELEGATION_KEYS

    public static final StepType DELEGATION_KEYS
    The namenode is performing an operation related to delegation keys.

  - ### DELEGATION_TOKENS

    public static final StepType DELEGATION_TOKENS
    The namenode is performing an operation related to delegation tokens.

  - ### INODES

    public static final StepType INODES
    The namenode is performing an operation related to inodes.

  - ### CACHE_POOLS

    public static final StepType CACHE_POOLS
    The namenode is performing an operation related to cache pools.

  - ### CACHE_ENTRIES

    public static final StepType CACHE_ENTRIES
    The namenode is performing an operation related to cache entries.

  - ### ERASURE_CODING_POLICIES

    public static final StepType ERASURE_CODING_POLICIES
    The namenode is performing an operation related to erasure coding policies.

- ## Method Details

  - ### values

    public static StepType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static StepType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getDescription

    public String getDescription()
    Returns step type description.
    Returns:
      String step type description

  - ### getName

    public String getName()
    Returns step type name.
    Returns:
      String step type name